---
Name: esxi-sddc-cluster-configure
Description: Run VMware vSphere SDDC Cluster Configuration operations.
Documentation: |
  This workflow runs SDDC (Software Defined Data Center) cluster configuration
  operations via Context containers.  It performs the following functions:

    * record each ESXi nodes *thumbprint* on the Machine object
    * initial datacenter create and cluster create
    * enroll the specified ESXi nodes in the cluster
    * build VSAN datastore if specified
    * claim disks according to the (extensible) rule selection
    * enable VSAN in the cluster
    * create Distributed Virtual Switch(es)
    * migrate Standard Virtual Switch to DVS (if desired)

  Requires that the ESXi nodes have been completely built, and vCenter instance(s)
  have been deployed on to ESXI.

Meta:
  color: purple
  icon: terminal
  title: RackN Content
Stages:
  - govc-cluster-create
  - govc-vsan-cluster-build
  - govc-vsan-cluster-enable
  - govc-vsan-claim-disks
  - govc-vsan-witness-stretch-cluster
  - ansible-vmware-object-rename
  - govc-dvs-create
  - ansible-vmware-migrate-vmk
  - complete-nobootenv
